Index: mod/endpoints/mod_sofia/mod_sofia.c
===================================================================
--- mod/endpoints/mod_sofia/mod_sofia.c	(revision 4160)
+++ mod/endpoints/mod_sofia/mod_sofia.c	(working copy)
@@ -2633,7 +2633,7 @@
 				if ((ci = switch_loadable_module_get_chat_interface(proto))) {
 					ci->chat_send(SOFIA_CHAT_PROTO, from_addr, to_addr, "", msg, full_from);
 				} else {
-					switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invaid Chat Interface [%s]!\n", proto ? proto : "(none)");
+					switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invalid Chat Interface [%s]!\n", proto ? proto : "(none)");
 				}
 				
 			}
Index: mod/endpoints/mod_dingaling/mod_dingaling.c
===================================================================
--- mod/endpoints/mod_dingaling/mod_dingaling.c	(revision 4160)
+++ mod/endpoints/mod_dingaling/mod_dingaling.c	(working copy)
@@ -2296,7 +2296,7 @@
 			if ((ci = switch_loadable_module_get_chat_interface(proto))) {
 				ci->chat_send(MDL_CHAT_PROTO, from, to, subject, msg, hint);
 			} else {
-				switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invaid Chat Interface [%s]!\n", proto);
+				switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invalid Chat Interface [%s]!\n", proto);
 			}
 
 			switch_safe_free(pproto);
Index: mod/applications/mod_dptools/mod_dptools.c
===================================================================
--- mod/applications/mod_dptools/mod_dptools.c	(revision 4160)
+++ mod/applications/mod_dptools/mod_dptools.c	(working copy)
@@ -396,7 +396,7 @@
 			ci->chat_send("dp", argv[1], argv[2], "", argv[3], "");
 			stream->write_function(stream, "Sent");
 		} else {
-			switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invaid Chat Interface [%s]!\n", argv[0]);
+			switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invalid Chat Interface [%s]!\n", argv[0]);
 		}
 	} else {
 		stream->write_function(stream, "Invalid");
Index: mod/applications/mod_conference/mod_conference.c
===================================================================
--- mod/applications/mod_conference/mod_conference.c	(revision 4160)
+++ mod/applications/mod_conference/mod_conference.c	(working copy)
@@ -4039,7 +4039,7 @@
     }
 
     if (!(ci = switch_loadable_module_get_chat_interface(proto))) {
-        switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invaid Chat Interface [%s]!\n", proto);
+        switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invalid Chat Interface [%s]!\n", proto);
     }
 
 
Index: switch_ivr.c
===================================================================
--- switch_ivr.c	(revision 4160)
+++ switch_ivr.c	(working copy)
@@ -4740,7 +4740,7 @@
                             
                             si->say_function(session, odata, get_say_type_by_name(say_type), get_say_method_by_name(say_method), args);
                         } else {
-                            switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invaid SAY Interface [%s]!\n", lang);
+                            switch_log_printf(SWITCH_CHANNEL_LOG, SWITCH_LOG_ERROR, "Invalid SAY Interface [%s]!\n", lang);
                         }
                     } else if (!strcasecmp(func, "speak-text")) {
                         switch_codec_t *read_codec;
